---
title: Link
sidebar: true
---

# Link

Link has two varians. Regular link and with-in-paragraph link.

## Usage

### Default link

<hy-docs-container>
  <hy-link 
    url="https://www.helsinki.com"
    text-content="Regular link"
    aria-label="Regular link"
    is-external="false"
  >
  </hy-link>
</hy-docs-container>

```
<hy-link 
  url="https://www.helsinki.com"
  text-content="Regular link"
  aria-label="Regular link"
  is-external="false"
>
</hy-link>
```

### With-in-paragraph link

<hy-docs-container>
  <hy-link
    variant="within-paragraph"
    text-content="Link within paragraph"
    aria-label="Link within paragraph"
    url="https://www.google.com"
    is-external="true"
  >
  </hy-link>
</hy-docs-container>

```
<hy-link
  variant="within-paragraph"
  text-content="Link within paragraph"
  aria-label="Link within paragraph"
  url="https://www.google.com"
  is-external="true"
>
</hy-link>
```

<!-- Auto Generated Below -->


## Properties

| Property      | Attribute      | Description | Type                                             | Default                |
| ------------- | -------------- | ----------- | ------------------------------------------------ | ---------------------- |
| `ariaLabel`   | `aria-label`   |             | `string`                                         | `undefined`            |
| `isExternal`  | `is-external`  |             | `boolean`                                        | `false`                |
| `textContent` | `text-content` |             | `string`                                         | `''`                   |
| `url`         | `url`          |             | `string`                                         | `undefined`            |
| `variant`     | `variant`      |             | `LinkVariants.default \| LinkVariants.paragraph` | `LinkVariants.default` |


----------------------------------------------

HY component demo
