import { Config } from "@stencil/core";
import { sass } from '@stencil/sass';

export const config: Config = {
  namespace: "hy-design-system-demo",
  globalStyle: 'src/global/styles.scss',
  plugins: [
    sass({
      injectGlobalPaths: [
        'src/global/styles.scss',
      ]
    })
  ],
  outputTargets: [
    {
      type: "dist"
      
    },
    {
      type: "docs-readme",
      footer: "HY component demo"
    },
    {
      type: "www",
      serviceWorker: null, // disable service workers
      copy: [
        { src: 'fonts' }
      ]
    }
  ],
};
